#include <bits/stdc++.h>
#define ll long long

using namespace std;

int n,a;
int matrica[5][5];

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);

    cin>>n>>a;

    if(3*a>n)
    {
        cout<<-1;
        return 0;
    }
    matrica[0][0]=matrica[1][0]=matrica[2][0]=a;
    n-=3*a;
    if(n<=3*(a-2))
    {
        matrica[0][1]=min(n,a-2);
        n-=matrica[0][1];
        matrica[1][1]=min(n,a-2);
        n-=matrica[1][1];
        matrica[2][1]=n;
    }
    else
    {
        matrica[0][1]=matrica[1][1]=matrica[2][1]=a-2;
        n-=(3*(a-2));
        if(n%2==1)
            n++, matrica[0][1]--;
        matrica[2][0]+=n/2;
        matrica[2][1]+=n/2;
    }

    for(int i=0;i<3;i++)
        cout<<matrica[i][0]<<" "<<matrica[i][1]<<endl;

	return 0;
}